<header>
  <mat-toolbar>
    <span>Todolist</span>
    <app-add-task (newTaskEvent)="newTask($event)"></app-add-task>
  </mat-toolbar>
</header>

<main>
    <div>
      <h1>A faire</h1>
      <hr>
      <ul>
        <li *ngFor="let task of tasks | taskFilter: false">
          <input type="checkbox" (click)="isDone(task)"> {{task.title}}
        </li>
      </ul>

      <!-- <p>Nombre de tâche restantes: {{getCountTask()}}</p> -->
      <p>Nombre de tâche restantes: {{ (tasks | taskFilter: false).length }}</p>
    </div>

    <div>
      <h1>Terminées</h1>
      <hr>
      <ul>
        <li *ngFor="let task of tasks | taskFilter: true">
          {{task.title}}
          <button (click)="removeTask(task)">Delete</button>
        </li>
      </ul>
    </div>
</main>